/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.text;

/**
 * Wyjątek "unchecked" rzucany przez metody konwertujące obiekty do/z formatu JSON
 * @author ranides
 */
public class LexicalCastException extends RuntimeException {

    /**
     * Tworzy wyjątek z podanym komunikatem
     * @param message 
     */
    public LexicalCastException(String message) {
        super(message, null);
    }
    
    /**
     * Tworzy wyjątek z podanym komunikatem oraz przyczyną błędu.
     * @param message 
     * @param cause 
     */
    public LexicalCastException(String message, Throwable cause) {
        super(message, cause);
    }

    
}
